### Function

# GimpUi cairo_set_source_color

since: 3.0

#### Declaration [src]

    void
    gimp_cairo_set_source_color (
      cairo_t* cr,
      GeglColor* color,
      GimpColorConfig* config,
      gboolean softproof,
      GtkWidget* widget
    )

#### Description [src]

Sets `color` as the source pattern within `cr`, taking into account the profile of the `GdkMonitor` which `widget` is displayed on.

If `config` is set, the color configuration as set by the user will be used, in particular using any custom monitor profile set in preferences (overriding system-set profile). If no such custom profile is set, it will use the profile of the monitor `widget` is displayed on and will default to sRGB if `widget` is `NULL`.

Use `gimp_get_color_configuration()` to retrieve the user `GimpColorConfig`.

TODO: `softproof` is currently unused.

Available since: 3.0

#### Parameters

`cr`

  Type: `cairo_t`

  Cairo context.

  The data is owned by the caller of the function.

`color`

  Type: `GeglColor`

  The `GeglColor` to use as source pattern within `cr`.

  The data is owned by the caller of the function.

`config`

  Type: `GimpColorConfig`

  The color management settings.

  The data is owned by the caller of the function.

`softproof`

  Type: `gboolean`

  Whether the color must also be soft-proofed.

`widget`

  Type: `GtkWidget`

  `GtkWidget` to draw the focus indicator on.

  The argument can be `NULL`.
  The data is owned by the caller of the function.